Package org.apache.tapestry5

## Class TapestryConstants

- java.lang.Object
- - org.apache.tapestry5.TapestryConstants

-     public class TapestryConstants
      extends Object

  Constants needed by end-user classes.
  Since:
    5.2.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMPONENT_EVENTS_ATTRIBUTE_NAME` | Name of the HTML data attribute which contains information about component events published by using the PublishEvent annotation in a component event handler method.
    `static String` | `DISABLE_JAVASCRIPT_MINIMIZATION` | Name of a `Request` attribute, used to disable JavaScript minimization during asset requests.
    `static String` | `PAGE_LOOPBACK_PARAMETER_NAME` | Name of query parameter that is placed on "loopback" links (page render links for the same page).
    `static String` | `RESPONSE_RENDERER` | Name of a request attribute that contains an `IOOperation` used to render the response.
    `static String` | `TEMPLATE_EXTENSION` | The extension used for Tapestry component template files, Tapestry Markup Language.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE_EXTENSION

          public static final String TEMPLATE_EXTENSION

      The extension used for Tapestry component template files, Tapestry Markup Language. Template files are well-formed XML files.
      See Also:
        Constant Field Values

    - #### PAGE_LOOPBACK_PARAMETER_NAME

          public static final String PAGE_LOOPBACK_PARAMETER_NAME

      Name of query parameter that is placed on "loopback" links (page render links for the same page). This mostly includes the redirects sent after a component event request. Page render requests that do not have the LOOPBACK query parameter will trigger a reset notification after the initialization event; the LOOPBACK prevents this reset notification.
      Since:
        5.2.0
      See Also:
        `ComponentEventLinkEncoder.createPageRenderLink(org.apache.tapestry5.services.PageRenderRequestParameters)`, `ComponentEventLinkEncoder.decodePageRenderRequest(org.apache.tapestry5.http.services.Request)`, `PageResetListener`, Constant Field Values

    - #### RESPONSE_RENDERER

          public static final String RESPONSE_RENDERER

      Name of a request attribute that contains an `IOOperation` used to render the response. The operation should return void. Implementations of `ComponentEventResultProcessor` will store a response rendering operation into the request; the operation, if present, will be executed as the first filter inside the `ComponentRequestHandler` pipeline. This approach is recommended for any "complex" rendering that involves components or pages. It is optional for other types.
      Since:
        5.4
      See Also:
        Constant Field Values

    - #### DISABLE_JAVASCRIPT_MINIMIZATION

          public static final String DISABLE_JAVASCRIPT_MINIMIZATION

      Name of a `Request` attribute, used to disable JavaScript minimization during asset requests.
      Since:
        5.4
      See Also:
        `JavaScriptStack.getJavaScriptAggregationStrategy()`, Constant Field Values

    - #### COMPONENT_EVENTS_ATTRIBUTE_NAME

          public static final String COMPONENT_EVENTS_ATTRIBUTE_NAME

      Name of the HTML data attribute which contains information about component events published by using the PublishEvent annotation in a component event handler method.
      Since:
        5.4.2
      See Also:
        `PublishEvent`, Constant Field Values

  - ### Constructor Detail

    - #### TapestryConstants

          public TapestryConstants()